{
	"name": "table/local/bookkeeping/bookkeeping_voucher_row.json",
	"table_name": "bookkeeping_voucher_row",
	"table_prefix": "bkvr",
	"main_table": "bookkeeping_voucher",
	"record_type": [""],
	"table_name_language": {
		"": "Voucher row"
	},
	"default_field": "table/prf/default_field.json",
	"default_order": [
		{
			"field": "voucher_id",
			"order": ">"
		},
		{
			"field": "row_number",
			"order": ">"
		}
	],
	"save_script": [],
	"field": [
		{
			"field_name": "debet_account_id",
			"field_type": "varchar",
			"field_length": 40,
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "account_id",
					"linked_record_type": "",
					"linked_table": "bookkeeping_account",
					"linking_record_type": ""
				}
			],
			"not_allowed_value": [""]
		},
		{
			"field_name": "kredit_account_id",
			"field_type": "varchar",
			"field_length": 40,
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "account_id",
					"linked_record_type": "",
					"linked_table": "bookkeeping_account",
					"linking_record_type": ""
				}
			],
			"not_allowed_value": [""]
		},
		{
			"field_name": "row_value",
			"field_type": "double"
		},
		{
			"field_name": "description",
			"field_type": "text"
		},
		{
			"field_name": "info",
			"field_type": "text"
		},
		{
			"field_name": "invoice_id",
			"field_type": "varchar",
			"field_length": 40,
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "order_id",
					"linked_record_type": "",
					"linked_table": "order",
					"linking_record_type": ""
				}
			]
		},
		{
			"field_name": "row_number",
			"field_type": "integer"
		},
		{
			"field_name": "voucher_id",
			"field_type": "varchar",
			"field_length": 40,
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "voucher_id",
					"linked_record_type": "",
					"linked_table": "bookkeeping_voucher",
					"linking_record_type": ""
				}
			],
			"not_allowed_value": [""]
		}
	],
	"delete_field": ["invoice_payment_id"],
	"extra_field": [
		{
			"field_name": "json_data.account_id",
			"field_type": "varchar",
			"field_length": 40
		},
		{
			"field_name": "json_data.debet_price",
			"field_type": "double"
		},
		{
			"field_name": "json_data.kredit_price",
			"field_type": "double"
		},
		{
			"field_name": "json_data.account_number",
			"field_type": "varchar",
			"field_length": 40
		},
		{
			"field_name": "json_data.state",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.transfer_id",
			"field_type": "varchar",
			"field_length": 140
		},
		{
			"field_name": "json_data.cost_center",
			"field_type": "varchar",
			"field_length": 160
		},
		{
			"field_name": "json_data.accounts_payable_paym_id",
			"field_type": "varchar",
			"field_length": 40
		},
		{
			"field_name": "json_data.customer_project",
			"field_type": "varchar",
			"field_length": 80
		},
		{
			"field_name": "json_data.invoice_payment_id",
			"field_type": "varchar",
			"field_length": 40
		},
		{
			"field_name": "json_data.accounts_payable_id",
			"field_type": "varchar",
			"field_length": 40
		},
		{
			"field_name": "json_data.voucher_row_id",
			"field_type": "varchar",
			"field_length": 40
		},
		{
			"field_name": "json_data.transfer_state",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.project_id",
			"field_type": "varchar",
			"field_length": 80
		},
		{
			"field_name": "json_data.firm_id",
			"field_type": "integer"
		}
	]
}
